
CoCoA-5 - Feature #1415

thmproving package

13 Feb 2020 15:27 - John Abbott

Status: In Progress Start date: 13 Feb 2020

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 60%

Category: CoCoA-4 function to be added Estimated time: 5.00 hours

Target version: CoCoA-5.4.2 Spent time: 3.30 hours

Description

Port old CoCoA-4 package thmproving to CoCoA-5.

Related issues:

Related to CoCoA-5 - Support #242: CoCoA-5 Projects for students (e.g. credit... In Progress 28 Sep 2012

History

#1 - 13 Feb 2020 15:29 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 20

I have ported the code.  In fact thmproving.cpkg5 is already included in 5.3.0, but completely undocumented.  Let's wait until next release to make it

official (with proper doc).

#2 - 19 Feb 2020 11:46 - John Abbott

Remove thmproving from RelNotes!

#3 - 21 Feb 2020 13:01 - John Abbott

- % Done changed from 20 to 60

I think thmproving.cpkg5 is OK, but the documentation needs to be checked and properly integrated.

#4 - 17 Sep 2020 16:06 - John Abbott

Any news about this package?

Can we close this issue quickly and easily?

#5 - 02 Oct 2020 11:58 - Anna Maria Bigatti

- Estimated time set to 5.00 h

John Abbott wrote:

Any news about this package?

Can we close this issue quickly and easily?

 

ok, working on it.  Documentation should be ported to the main manual.
#6 - 02 Oct 2020 11:58 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

#7 - 12 Oct 2021 09:03 - John Abbott

Any progress on this issue in the last year?

#8 - 03 Feb 2022 20:02 - John Abbott

Status?

Even something hasty is perhaps better than nothing?

#9 - 18 Feb 2022 16:50 - Anna Maria Bigatti

I had renamed all functions with prefix "Thm".

Check it in, so that it is public, and then postpone this issue for proper documentation.

#10 - 18 Feb 2022 16:51 - Anna Maria Bigatti

- Related to Support #242: CoCoA-5 Projects for students (e.g. crediti F and tesi) added

#11 - 13 Jun 2022 15:31 - Redmine Admin

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2
